%global tardirname sorki-will-crash-4dff18b

Name:           will-crash
Version:        0.3
Release:        1%{?dist}
Summary:        Set of crashing executables written in various languages

Group:          Development/Tools
License:        GPLv3
URL:            http://github.com/sorki/will-crash
Source0:        https://github.com/sorki/will-crash/tarball/v%{version}/will-crash-v%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
Requires:       ruby
Requires:       python

# Don't require python3 for el6
%if 0%{?rhel} != 6
Requires:       python3
%endif

%description
The main purpose of this project is to provide sample
executables for testing crash/exception handling tools
like ABRT.

%prep
%setup -q -n %{tardirname}

%build
autoreconf --install
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc AUTHORS
%{_bindir}/will_segfault
%{_bindir}/will_abort
%{_bindir}/will_python_raise
%{_bindir}/will_python_sigsegv
%{_bindir}/will_python3_raise
%{_bindir}/will_ruby_raise

%changelog
* Thu Feb 21 2013 Richard Marko <rmarko@fedoraproject.org> - 0.3-1
- Version bump

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Richard Marko <rmarko@redhat.com> - 0.2-2
- Don't require python3 for el6

* Wed Jul 25 2012 Richard Marko <rmarko@redhat.com> - 0.2-1
- Version bump

* Mon Jul 23 2012 Richard Marko <rmarko@redhat.com> - 0.1-2
- Added missing automake build requirement

* Fri Jul 20 2012 Richard Marko <rmarko@redhat.com> - 0.1-1
- Initial packaging attempt
